function chooseImage(callFn) {
	if(mui.os.plus) {
		var a = [{
			title: "拍照"
		}, {
			title: "从手机相册选择"
		}]
		plus.nativeUI.actionSheet({
			title: "上传随手拍图片",
			cancel: "取消",
			buttons: a
		}, function(b) { //actionsheet 点击之后出现的东西
			switch(b.index) {
				case 0:
					break;
				case 1:
					getpic(callFn);
					break;
				case 2:
					getimg(callFn);
					break;
				default:
					break;
			}
		})
	}

}

//拍照
function getpic(callFn) {
	var c = plus.camera.getCamera();
	c.captureImage(function(e) {
		plus.io.resolveLocalFileSystemURL(e, function(entry) {
			var s = entry.toLocalURL() + "?version=" + new Date().getTime();
			plus.zip.compressImage({
					src: entry.toLocalURL(),
					dst: '_doc/a.jpg',
					overwrite: true,
					width: '500px', //这里指定了宽度，同样可以修改
					format: 'jpg',
					quality: 80 //图片质量不再修改，以免失真
				},
				function(e) {
					//console.log(JSON.stringify(e));
					uploadHead(e.target + "?version=" + new Date().getTime(),callFn); //上传图片
				},
				function(error) {
					//错误
				});
		}, function(e) {
			console.log("读取拍照文件错误" + e.message)
		})
	}, function(s) {
		console.log("error" + s);
	}, {
		filname: "_doc/head.png"
	})
}

//获取相册
function getimg(callFn) {
	plus.gallery.pick(function(a) {
		plus.io.resolveLocalFileSystemURL(a, function(entry) {
			plus.zip.compressImage({
					src: entry.toLocalURL(),
					dst: '_doc/a.jpg',
					overwrite: true,
					width: '500px', //这里指定了宽度，同样可以修改
					format: 'jpg',
					quality: 80 //图片质量不再修改，以免失真
				},
				function(e) {
					console.log(JSON.stringify(e));
					uploadHead(e.target + "?version=" + new Date().getTime(),callFn); //上传图片
				},
				function(error) {
					//错误
					console.log(JSON.stringify(error));
				});
		}, function(e) {
			console.log("读取拍照文件错误" + e.message);
		})
	}, function(a) {}, {
		filter: "image"
	})
}

//获取照片的元信息（拍摄方向）
function getPhotoOrientation(img) {
	var orient;
	EXIF.getData(img, function() {
		orient = EXIF.getTag(this, 'Orientation');
	});
	return orient;
}

//转换64
function getBase64Image(img) {
	//因为IOS会将图片的拍摄方向和android的拍摄方向不一样，所以更改方向
	//获取照片方向角属性，用户旋转控制 		
	var canvas = document.createElement("canvas");
	var width = img.width;
	var height = img.height;
	canvas.width = width;
	canvas.height = height;

	var ctx = canvas.getContext("2d");
	ctx.drawImage(img, 0, 0, width, height); /*绘图*/
	var dataURL = canvas.toDataURL("image/png", 0.8);
	return dataURL;
}
//上传头像图片
function uploadHead(imgPath,callFn) {
	var image = new Image();
	image.src = imgPath;
	image.onload = function() {
		//获取照片方向角属性，用户旋转控制 
		var imgData = getBase64Image(image);
		//添加图片
		callFn(imgData)
	}
}